org.appng.xml.platform

## Class OptionGroup

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.OptionGroup

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    OptionGroupFactory.OptionGroup

      public class OptionGroup
      extends BaseObject
      implements Serializable

  A group of options.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected Label` | `label`
    `protected List<Option>` | `options`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptionGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` The id of this group.
    `Label` | `getLabel()` Gets the value of the label property.
    `List<Option>` | `getOptions()` Gets the value of the options property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setLabel(Label value)` Sets the value of the label property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          protected Label label

    - #### options

          protected List<Option> options

    - #### id

          protected String id

  - ### Constructor Detail

    - #### OptionGroup

          public OptionGroup()

  - ### Method Detail

    - #### getLabel

          public Label getLabel()

      Gets the value of the label property.
      Returns:
        possible object is `Label`

    - #### setLabel

          public void setLabel(Label value)

      Sets the value of the label property.
      Parameters:
        `value` - allowed object is `Label`

    - #### getOptions

          public List<Option> getOptions()

      Gets the value of the options property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the options property.

      For example, to add a new item, do as follows:

              getOptions().add(newItem);

      Objects of the following type(s) are allowed in the list `Option`

    - #### getId

          public String getId()

      The id of this group.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.